1. Dispatch Messages
Nifteem
  • Dispatch Messages
    • Request a message dispatch
      POST
    • Dispatch messages info
      GET
    • Cancel a message dispatch
      DELETE
  • Manage templates
    • Get all templates
      GET
  • User
    • User Information
      GET
  • Webhook for message status updates
  • Webhook for incoming message notification
  • Schemas
    • Channel
    • DispatchLogStatus
    • WebhookOutDispatchStatusPayload
    • WebhookOutEvent
    • WebhookOutModule
    • InMessageType
    • WebhookOutIncomingMessageDetailPayload
    • WebhookOutIncomingMessagePayload
    • ChannelIdentifierType
    • DispatchApiRequest
    • DispatchApiRequestChannelRcs
    • DispatchApiRequestChannelSms
    • DispatchApiRequestChannelWhatsapp
    • DispatchApiRequestChannels
    • DispatchApiRequestContent
    • DispatchApiRequestMessage
    • DispatchApiRequestMessageContentDocument
    • DispatchApiRequestMessageContentImage
    • DispatchApiRequestMessageContentText
    • DispatchApiRequestMessageContentVideo
    • DispatchApiRequestMessageTemplate
    • DispatchApiRequestRecipient
    • DispatchApiRequestRecipientIdentifier
    • DispatchApiRequestTranslation
    • SmsEncodingType
    • Template
    • TemplateApi
    • DispatchApi
    • DispatchApiMessage
    • DispatchApiMessageStatus
  1. Dispatch Messages

Dispatch messages info

GET
/v1/api/dispatch/{dispatchId}
It returns details of a specific dispatch. The response includes an array of individual messages that have been processed, along with a pendingCount property indicating the quantity of messages that remain in the processing queue.

Request

Path Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/v1/api/dispatch/'
Response Response Example
200 - Example 1
{
    "dispatchId": "string",
    "scheduleDate": "2019-08-24T14:15:22.123Z",
    "metadata": {
        "property1": "string",
        "property2": "string"
    },
    "messages": [
        {
            "messageId": "string",
            "sender": "string",
            "channelIdentifier": "string",
            "channel": "RCS",
            "part": 0,
            "totalParts": 0,
            "status": "DISPATCHED",
            "statusDate": "2019-08-24T14:15:22.123Z",
            "metadata": {
                "property1": "string",
                "property2": "string"
            }
        }
    ],
    "pendingCount": 0
}
Modified at 2026-06-04 06:45:36
Previous
Request a message dispatch
Next
Cancel a message dispatch
Built with